Package com.smartgwt.client.widgets

# Class Label

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.StatefulCanvas
com.smartgwt.client.widgets.Button
com.smartgwt.client.widgets.Label

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasIconClickHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasTitleHoverHandlers`, `HasVisibilityChangedHandlers`

Direct Known Subclasses:
  `DropZone`, `SectionHeader`, `ViewLoader`

public class Label extends Button
Labels display a small amount of `alignable` `text` with optional `icon` and `autoFit`.

For a general-purpose container for HTML content, use `HTMLFlow` or `HTMLPane` instead.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Label()`
  `Label(JavaScriptObject jsObj)`
  `Label(String contents)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `Alignment`
  `getAlign()`
  Horizontal alignment of label text.
  `Boolean`
  `getAutoFit()`
  If true, ignore the specified size of this widget and always size just large enough to accommodate the title.
  `String`
  `getContents()`
  The contents of a canvas or label widget.
  `Boolean`
  `getDynamicContents()`
  Dynamic contents allows the contents string to be treated as a simple but powerful template.
  `String`
  `getEditProxyConstructor()`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `Integer`
  `getHeight()`
  Size for this component's vertical dimension.
  `String`
  `getHeightAsString()`
  Size for this component's vertical dimension.
  `String`
  `getIcon()`
  Optional icon to be shown with the button title text.
  `String`
  `getIconAlign()`
  If this button is showing an icon should it be right or left aligned?
  `Integer`
  `getIconHeight()`
  Height in pixels of the icon image.
  `String`
  `getIconOrientation()`
  If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
  `int`
  `getIconSize()`
  Size in pixels of the icon image.
  `int`
  `getIconSpacing()`
  Pixels between icon and title text.
  `Integer`
  `getIconWidth()`
  Width in pixels of the icon image.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `static Label`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShowDisabledIcon()`
  If using an icon for this button, whether to switch the icon image if the button becomes disabled.
  `Boolean`
  `getShowDownIcon()`
  If using an icon for this button, whether to switch the icon image when the mouse goes down on the button.
  `Boolean`
  `getShowFocusedIcon()`
  If using an icon for this button, whether to switch the icon image when the button receives focus.
  `Boolean`
  `getShowRollOverIcon()`
  If using an icon for this button, whether to switch the icon image on mouse rollover.
  `Boolean`
  `getShowSelectedIcon()`
  If using an icon for this button, whether to switch the icon image when the button becomes selected.
  `String`
  `getStyleName()`
  Set the CSS class for this widget.
  `VerticalAlignment`
  `getValign()`
  Vertical alignment of label text.
  `Integer`
  `getWidth()`
  Size for this component's horizontal dimension.
  `String`
  `getWidthAsString()`
  Size for this component's horizontal dimension.
  `Boolean`
  `getWrap()`
  If false, the label text will not be wrapped to the next line.
  `Label`
  `setAlign(Alignment align)`
  Horizontal alignment of label text.
  `Label`
  `setAutoFit(Boolean autoFit)`
  If true, ignore the specified size of this widget and always size just large enough to accommodate the title.
  `Label`
  `setContents(String contents)`
  The contents of a canvas or label widget.
  `static void`
  `setDefaultProperties(Label labelProperties)`
  Class level method to set the default properties of this class.
  `Label`
  `setDynamicContents(Boolean dynamicContents)`
  Dynamic contents allows the contents string to be treated as a simple but powerful template.
  `Label`
  `setEditProxyConstructor(String editProxyConstructor)`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `Label`
  `setHeight(Integer height)`
  Size for this component's vertical dimension.
  `void`
  `setHeight(String height)`
  Size for this component's vertical dimension.
  `Label`
  `setIcon(String icon)`
  Optional icon to be shown with the button title text.
  `Label`
  `setIconAlign(String iconAlign)`
  If this button is showing an icon should it be right or left aligned?
  `Label`
  `setIconHeight(Integer iconHeight)`
  Height in pixels of the icon image.
  `Label`
  `setIconOrientation(String iconOrientation)`
  If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
  `Label`
  `setIconSize(int iconSize)`
  Size in pixels of the icon image.
  `Label`
  `setIconSpacing(int iconSpacing)`
  Pixels between icon and title text.
  `Label`
  `setIconWidth(Integer iconWidth)`
  Width in pixels of the icon image.
  `LogicalStructureObject`
  `setLogicalStructure(LabelLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `Label`
  `setShowDisabledIcon(Boolean showDisabledIcon)`
  If using an icon for this button, whether to switch the icon image if the button becomes disabled.
  `Label`
  `setShowDownIcon(Boolean showDownIcon)`
  If using an icon for this button, whether to switch the icon image when the mouse goes down on the button.
  `Label`
  `setShowFocusedIcon(Boolean showFocusedIcon)`
  If using an icon for this button, whether to switch the icon image when the button receives focus.
  `Label`
  `setShowRollOverIcon(Boolean showRollOverIcon)`
  If using an icon for this button, whether to switch the icon image on mouse rollover.
  `Label`
  `setShowSelectedIcon(Boolean showSelectedIcon)`
  If using an icon for this button, whether to switch the icon image when the button becomes selected.
  `void`
  `setStyleName(String styleName)`
  Set the CSS class for this widget.
  `Label`
  `setValign(VerticalAlignment valign)`
  Vertical alignment of label text.
  `Label`
  `setWidth(Integer width)`
  Size for this component's horizontal dimension.
  `void`
  `setWidth(String width)`
  Size for this component's horizontal dimension.
  `Label`
  `setWrap(Boolean wrap)`
  If false, the label text will not be wrapped to the next line.

  ### Methods inherited from class com.smartgwt.client.widgets.Button

  `action, addIconClickHandler, addTitleHoverHandler, addToRadioGroup, assertIsButton, deselect, getActionType, getAdaptWidthShowIconOnly, getBaseStyle, getCanAdaptWidth, getDefiningProperty, getDisabledIconCursor, getHiliteAccessKey, getIconCursor, getIconOnlyBaseStyle, getIconStyle, getOverflow, getRadioGroup, getShowClippedTitleOnHover, getShowDisabled, getShowDown, getShowFocused, getShowRollOver, getState, getTitle, getUseSpan, removeFromRadioGroup, removeFromRadioGroup, select, setActionType, setAdaptWidthShowIconOnly, setBaseStyle, setCanAdaptWidth, setDefaultProperties, setDefiningProperty, setDisabledIconCursor, setHiliteAccessKey, setIconCursor, setIconOnlyBaseStyle, setIconStyle, setLogicalStructure, setOverflow, setRadioGroup, setShowClippedTitleOnHover, setShowDisabled, setShowDown, setShowFocused, setShowRollOver, setState, setTitle, setTitleHoverFormatter, setUseSpan, titleClipped, titleHoverHTML`

  ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

  `getAriaLabel, getAriaStateDefaults, getIgnoreRTL, getLabelHPad, getLabelVPad, getOverCanvas, getOverCanvasConstructor, getRedrawOnStateChange, getSelected, getShowFocusedAsOver, getShowMenuOnClick, getShowOverCanvas, getShowRTLIcon, getStateSuffix, getVIconStyle, isSelected, setAriaLabel, setDefaultProperties, setIgnoreRTL, setLabelHPad, setLabelVPad, setLogicalStructure, setOverCanvasConstructor, setRedrawOnStateChange, setSelected, setShowFocusedAsOver, setShowMenuOnClick, setShowOverCanvas, setShowRTLIcon, setTitleFormatter, setTitleStyle, setVIconStyle`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBorderRadiusAsString, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setSuppressRedraw, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### Label

    public Label()

  - ### Label

    public Label(JavaScriptObject jsObj)

  - ### Label

    public Label(String contents)

- ## Method Details

  - ### getOrCreateRef

    public static Label getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `Button`

  - ### setAlign

    public Label setAlign(Alignment align)
    Horizontal alignment of label text. See Alignment type for details.
    Overrides:
      `setAlign` in class `Button`
    Parameters:
      `align` - New align value. Default value is Canvas.LEFT
    Returns:
      `Label` instance, for chaining setter calls
    See Also:
      - `Positioning overview and related methods`

  - ### getAlign

    public Alignment getAlign()
    Horizontal alignment of label text. See Alignment type for details.
    Overrides:
      `getAlign` in class `Button`
    Returns:
      Current align value. Default value is Canvas.LEFT
    See Also:
      - `Positioning overview and related methods`

  - ### setAutoFit

    public Label setAutoFit(Boolean autoFit)
    If true, ignore the specified size of this widget and always size just large enough to accommodate the title. If `setWidth()` is explicitly called on an autoFit:true button, autoFit will be reset to `false`.

    Note that for StretchImgButton instances, autoFit will occur horizontally only, as unpredictable vertical sizing is likely to distort the media. If you do want vertical auto-fit, this can be achieved by simply setting a small height, and having overflow:"visible"

    Overrides:
      `setAutoFit` in class `Button`
    Parameters:
      `autoFit` - New autoFit value. Default value is null
    Returns:
      `Label` instance, for chaining setter calls
    See Also:
      - `Sizing overview and related methods`

  - ### getAutoFit

    public Boolean getAutoFit()
    If true, ignore the specified size of this widget and always size just large enough to accommodate the title. If `setWidth()` is explicitly called on an autoFit:true button, autoFit will be reset to `false`.

    Note that for StretchImgButton instances, autoFit will occur horizontally only, as unpredictable vertical sizing is likely to distort the media. If you do want vertical auto-fit, this can be achieved by simply setting a small height, and having overflow:"visible"

    Overrides:
      `getAutoFit` in class `Button`
    Returns:
      Current autoFit value. Default value is null
    See Also:
      - `Sizing overview and related methods`

  - ### setContents

    public Label setContents(String contents)
    The contents of a canvas or label widget. Any HTML string is acceptable.
    If this method is called after the component has been drawn/initialized: Changes the contents of a widget to newContents, an HTML string.

    When `dynamicContents` is set, `setContents()` can also be called with no arguments to cause contents to be re-evaluated.

    Overrides:
      `setContents` in class `Canvas`
    Parameters:
      `contents` - an HTML string to be set as the contents of this widget. Default value is "&nbsp;"
    Returns:
      `Label` instance, for chaining setter calls
    See Also:
      - `setDynamicContents(java.lang.Boolean)`
      - `HTMLString`

  - ### getContents

    public String getContents()
    The contents of a canvas or label widget. Any HTML string is acceptable.
    Overrides:
      `getContents` in class `Canvas`
    Returns:
      Current contents value. Default value is "&nbsp;"
    See Also:
      - `getDynamicContents()`
      - `HTMLString`

  - ### setDynamicContents

    public Label setDynamicContents(Boolean dynamicContents)
    Dynamic contents allows the contents string to be treated as a simple but powerful template. When this attribute is set to `true`, JavaScript expressions may be embedded within the contents string, using the format:
    `${[JavaScript to evaluate]}`.

    For example, to include the current date in a templated message, `canvas.contents` could be set to:
    `"Today's date is <b>${new Date().toUSShortDate()}</b>"`

    Embedded expressions will be evaluated when the canvas is drawn or redrawn, and the result of the evaluated expression will be displayed to the user. If the expression does not evaluate to a String, the `toString()` representation of the returned object will be displayed automatically

    Dynamic expressions are evaluated in the scope of the canvas displaying the content, so the `this` keyword may be used within your expression to refer to the canvas. Developers may also explicitly supply values for variables to be used within the evaluation via the `Canvas.dynamicContentsVars` property.

    Notes:

    - Calling markForRedraw() on the canvas will evaluate any embedded expressions.
    - Multiple such expressions may be embedded within the contents string for a component.
    - If an error occurs during evaluation, a warning is logged to the `Developer Console` and an empty string will be substituted.

    Note : This is an advanced setting

    Overrides:
      `setDynamicContents` in class `Canvas`
    Parameters:
      `dynamicContents` - New dynamicContents value. Default value is false
    Returns:
      `Label` instance, for chaining setter calls
    See Also:
      - `setContents(java.lang.String)`
      - `com.smartgwt.client.widgets.Canvas#setDynamicContentsVars`
      - `Dynamic Strings`

  - ### getDynamicContents

    public Boolean getDynamicContents()
    Dynamic contents allows the contents string to be treated as a simple but powerful template. When this attribute is set to `true`, JavaScript expressions may be embedded within the contents string, using the format:
    `${[JavaScript to evaluate]}`.

    For example, to include the current date in a templated message, `canvas.contents` could be set to:
    `"Today's date is <b>${new Date().toUSShortDate()}</b>"`

    Embedded expressions will be evaluated when the canvas is drawn or redrawn, and the result of the evaluated expression will be displayed to the user. If the expression does not evaluate to a String, the `toString()` representation of the returned object will be displayed automatically

    Dynamic expressions are evaluated in the scope of the canvas displaying the content, so the `this` keyword may be used within your expression to refer to the canvas. Developers may also explicitly supply values for variables to be used within the evaluation via the `Canvas.dynamicContentsVars` property.

    Notes:

    - Calling markForRedraw() on the canvas will evaluate any embedded expressions.
    - Multiple such expressions may be embedded within the contents string for a component.
    - If an error occurs during evaluation, a warning is logged to the `Developer Console` and an empty string will be substituted.
    Overrides:
      `getDynamicContents` in class `Canvas`
    Returns:
      Current dynamicContents value. Default value is false
    See Also:
      - `getContents()`
      - `com.smartgwt.client.widgets.Canvas#getDynamicContentsVars`
      - `Dynamic Strings`

  - ### setEditProxyConstructor

    public Label setEditProxyConstructor(String editProxyConstructor) throws IllegalStateException
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `setEditProxyConstructor` in class `StatefulCanvas`
    Parameters:
      `editProxyConstructor` - New editProxyConstructor value. Default value is "LabelEditProxy"
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCClassName`

  - ### getEditProxyConstructor

    public String getEditProxyConstructor()
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `getEditProxyConstructor` in class `StatefulCanvas`
    Returns:
      Current editProxyConstructor value. Default value is "LabelEditProxy"
    See Also:
      - `SCClassName`

  - ### setHeight

    public Label setHeight(Integer height)
    Size for this component's vertical dimension. See `Canvas.height` for more details.

    Note that if `StatefulCanvas.autoFit` is set on non-`StretchImgButton` instances, this property will be ignored so that the widget is always sized just large enough to accommodate the title.

    Overrides:
      `setHeight` in class `Button`
    Parameters:
      `height` - New height value. Default value is null
    Returns:
      `Label` instance, for chaining setter calls
    See Also:
      - `StatefulCanvas.setAutoFit(java.lang.Boolean)`
      - `Sizing overview and related methods`

  - ### getHeight

    public Integer getHeight()
    Size for this component's vertical dimension. See `Canvas.height` for more details.

    Note that if `StatefulCanvas.autoFit` is set on non-`StretchImgButton` instances, this property will be ignored so that the widget is always sized just large enough to accommodate the title.

    Overrides:
      `getHeight` in class `Button`
    Returns:
      Current height value. Default value is null
    See Also:
      - `StatefulCanvas.getAutoFit()`
      - `Sizing overview and related methods`

  - ### setHeight

    public void setHeight(String height)
    Size for this component's vertical dimension. See `Canvas.height` for more details.

    Note that if `StatefulCanvas.autoFit` is set on non-`StretchImgButton` instances, this property will be ignored so that the widget is always sized just large enough to accommodate the title.

    Overrides:
      `setHeight` in class `Button`
    Parameters:
      `height` - New height value. Default value is null
    See Also:
      - `StatefulCanvas.setAutoFit(java.lang.Boolean)`
      - `Sizing overview and related methods`

  - ### getHeightAsString

    public String getHeightAsString()
    Size for this component's vertical dimension. See `Canvas.height` for more details.

    Note that if `StatefulCanvas.autoFit` is set on non-`StretchImgButton` instances, this property will be ignored so that the widget is always sized just large enough to accommodate the title.

    Overrides:
      `getHeightAsString` in class `Button`
    Returns:
      Current height value. Default value is null
    See Also:
      - `StatefulCanvas.getAutoFit()`
      - `Sizing overview and related methods`

  - ### setIcon

    public Label setIcon(String icon)
    Optional icon to be shown with the button title text.

    Specify as the partial URL to an image, relative to the imgDir of this component. A sprited image can be specified using the `SCSpriteConfig` format.

    Note that the string "blank" is a valid setting for this attribute and will always result in the system blank image, with no state suffixes applied. Typically, this might be used when an iconStyle is also specified and the iconStyle renders the icon via a stateful background-image or other CSS approach.

    To show only an icon, with no title text (an "icon-only" button), set `title` to null. An explicit empty string ("") is not equivalent: it reserves space for an empty title and leaves the icon off-center, so use null rather than "" for an icon-only button.
    If this method is called after the component has been drawn/initialized: Change the icon being shown next to the title text.

    Overrides:
      `setIcon` in class `Button`
    Parameters:
      `icon` - URL of new icon. Default value is null
    Returns:
      `Label` instance, for chaining setter calls
    See Also:
      - `SCImgURL`
      - `Button Icon`

  - ### getIcon

    public String getIcon()
    Optional icon to be shown with the button title text.

    Specify as the partial URL to an image, relative to the imgDir of this component. A sprited image can be specified using the `SCSpriteConfig` format.

    Note that the string "blank" is a valid setting for this attribute and will always result in the system blank image, with no state suffixes applied. Typically, this might be used when an iconStyle is also specified and the iconStyle renders the icon via a stateful background-image or other CSS approach.

    To show only an icon, with no title text (an "icon-only" button), set `title` to null. An explicit empty string ("") is not equivalent: it reserves space for an empty title and leaves the icon off-center, so use null rather than "" for an icon-only button.

    Overrides:
      `getIcon` in class `Button`
    Returns:
      Current icon value. Default value is null
    See Also:
      - `SCImgURL`
      - `Button Icon`

  - ### setIconAlign

    public Label setIconAlign(String iconAlign) throws IllegalStateException
    If this button is showing an icon should it be right or left aligned?
    Overrides:
      `setIconAlign` in class `Button`
    Parameters:
      `iconAlign` - New iconAlign value. Default value is null
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconAlign

    public String getIconAlign()
    If this button is showing an icon should it be right or left aligned?
    Overrides:
      `getIconAlign` in class `Button`
    Returns:
      Current iconAlign value. Default value is null
    See Also:
      - `Button Icon`

  - ### setIconHeight

    public Label setIconHeight(Integer iconHeight) throws IllegalStateException
    Height in pixels of the icon image.

    If unset, defaults to `iconSize`.

    Overrides:
      `setIconHeight` in class `Button`
    Parameters:
      `iconHeight` - New iconHeight value. Default value is null
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconHeight

    public Integer getIconHeight()
    Height in pixels of the icon image.

    If unset, defaults to `iconSize`.

    Overrides:
      `getIconHeight` in class `Button`
    Returns:
      Current iconHeight value. Default value is null
    See Also:
      - `Button Icon`

  - ### setIconOrientation

    public Label setIconOrientation(String iconOrientation) throws IllegalStateException
    If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
    If this method is called after the component has been drawn/initialized: Changes the orientation of the icon relative to the text of the button.
    Overrides:
      `setIconOrientation` in class `Button`
    Parameters:
      `iconOrientation` - The new orientation of the icon relative to the text of the button. Default value is "left"
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconOrientation

    public String getIconOrientation()
    If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
    Overrides:
      `getIconOrientation` in class `Button`
    Returns:
      Current iconOrientation value. Default value is "left"
    See Also:
      - `Button Icon`

  - ### setIconSize

    public Label setIconSize(int iconSize) throws IllegalStateException
    Size in pixels of the icon image.

    The `iconWidth` and `iconHeight` properties can be used to configure width and height separately.

    Note: When configuring the properties of a `StatefulCanvas` (or derivative) `AutoChild`, it is best to set the `iconWidth` and `iconHeight` to the same value rather than setting an `iconSize`. This is because certain skins or customizations thereto might set the `iconWidth` and `iconHeight`, making the customization of the AutoChild's `iconSize` ineffective.

    Overrides:
      `setIconSize` in class `Button`
    Parameters:
      `iconSize` - New iconSize value. Default value is 16
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconSize

    public int getIconSize()
    Size in pixels of the icon image.

    The `iconWidth` and `iconHeight` properties can be used to configure width and height separately.

    Note: When configuring the properties of a `StatefulCanvas` (or derivative) `AutoChild`, it is best to set the `iconWidth` and `iconHeight` to the same value rather than setting an `iconSize`. This is because certain skins or customizations thereto might set the `iconWidth` and `iconHeight`, making the customization of the AutoChild's `iconSize` ineffective.

    Overrides:
      `getIconSize` in class `Button`
    Returns:
      Current iconSize value. Default value is 16
    See Also:
      - `Button Icon`

  - ### setIconSpacing

    public Label setIconSpacing(int iconSpacing) throws IllegalStateException
    Pixels between icon and title text.
    Overrides:
      `setIconSpacing` in class `Button`
    Parameters:
      `iconSpacing` - New iconSpacing value. Default value is 6
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconSpacing

    public int getIconSpacing()
    Pixels between icon and title text.
    Overrides:
      `getIconSpacing` in class `Button`
    Returns:
      Current iconSpacing value. Default value is 6
    See Also:
      - `Button Icon`

  - ### setIconWidth

    public Label setIconWidth(Integer iconWidth) throws IllegalStateException
    Width in pixels of the icon image.

    If unset, defaults to `iconSize`.

    Overrides:
      `setIconWidth` in class `Button`
    Parameters:
      `iconWidth` - New iconWidth value. Default value is null
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconWidth

    public Integer getIconWidth()
    Width in pixels of the icon image.

    If unset, defaults to `iconSize`.

    Overrides:
      `getIconWidth` in class `Button`
    Returns:
      Current iconWidth value. Default value is null
    See Also:
      - `Button Icon`

  - ### setShowDisabledIcon

    public Label setShowDisabledIcon(Boolean showDisabledIcon) throws IllegalStateException
    If using an icon for this button, whether to switch the icon image if the button becomes disabled.
    Overrides:
      `setShowDisabledIcon` in class `Button`
    Parameters:
      `showDisabledIcon` - New showDisabledIcon value. Default value is true
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getShowDisabledIcon

    public Boolean getShowDisabledIcon()
    If using an icon for this button, whether to switch the icon image if the button becomes disabled.
    Overrides:
      `getShowDisabledIcon` in class `Button`
    Returns:
      Current showDisabledIcon value. Default value is true
    See Also:
      - `Button Icon`

  - ### setShowDownIcon

    public Label setShowDownIcon(Boolean showDownIcon) throws IllegalStateException
    If using an icon for this button, whether to switch the icon image when the mouse goes down on the button.
    Overrides:
      `setShowDownIcon` in class `Button`
    Parameters:
      `showDownIcon` - New showDownIcon value. Default value is false
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getShowDownIcon

    public Boolean getShowDownIcon()
    If using an icon for this button, whether to switch the icon image when the mouse goes down on the button.
    Overrides:
      `getShowDownIcon` in class `Button`
    Returns:
      Current showDownIcon value. Default value is false
    See Also:
      - `Button Icon`

  - ### setShowFocusedIcon

    public Label setShowFocusedIcon(Boolean showFocusedIcon) throws IllegalStateException
    If using an icon for this button, whether to switch the icon image when the button receives focus.

    If `StatefulCanvas.showFocusedAsOver` is true, the `"Over"` icon will be displayed when the canvas has focus, otherwise a separate `"Focused"` icon will be displayed

    Overrides:
      `setShowFocusedIcon` in class `Button`
    Parameters:
      `showFocusedIcon` - New showFocusedIcon value. Default value is false
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getShowFocusedIcon

    public Boolean getShowFocusedIcon()
    If using an icon for this button, whether to switch the icon image when the button receives focus.

    If `StatefulCanvas.showFocusedAsOver` is true, the `"Over"` icon will be displayed when the canvas has focus, otherwise a separate `"Focused"` icon will be displayed

    Overrides:
      `getShowFocusedIcon` in class `Button`
    Returns:
      Current showFocusedIcon value. Default value is false
    See Also:
      - `Button Icon`

  - ### setShowRollOverIcon

    public Label setShowRollOverIcon(Boolean showRollOverIcon) throws IllegalStateException
    If using an icon for this button, whether to switch the icon image on mouse rollover.
    Overrides:
      `setShowRollOverIcon` in class `Button`
    Parameters:
      `showRollOverIcon` - New showRollOverIcon value. Default value is false
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getShowRollOverIcon

    public Boolean getShowRollOverIcon()
    If using an icon for this button, whether to switch the icon image on mouse rollover.
    Overrides:
      `getShowRollOverIcon` in class `Button`
    Returns:
      Current showRollOverIcon value. Default value is false
    See Also:
      - `Button Icon`

  - ### setShowSelectedIcon

    public Label setShowSelectedIcon(Boolean showSelectedIcon) throws IllegalStateException
    If using an icon for this button, whether to switch the icon image when the button becomes selected.
    Overrides:
      `setShowSelectedIcon` in class `Button`
    Parameters:
      `showSelectedIcon` - New showSelectedIcon value. Default value is false
    Returns:
      `Label` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getShowSelectedIcon

    public Boolean getShowSelectedIcon()
    If using an icon for this button, whether to switch the icon image when the button becomes selected.
    Overrides:
      `getShowSelectedIcon` in class `Button`
    Returns:
      Current showSelectedIcon value. Default value is false
    See Also:
      - `Button Icon`

  - ### setStyleName

    public void setStyleName(String styleName)
    Set the CSS class for this widget. For a Label, this is equivalent to setting `Button.baseStyle`.
    If this method is called after the component has been drawn/initialized: Dynamically change the CSS class for this widget. For a Label, this is equivalent to `setBaseStyle()`.
    Overrides:
      `setStyleName` in class `Button`
    Parameters:
      `styleName` - new CSS style name. Default value is "normal"
    See Also:
      - `CSSStyleName`

  - ### getStyleName

    public String getStyleName()
    Set the CSS class for this widget. For a Label, this is equivalent to setting `Button.baseStyle`.
    Overrides:
      `getStyleName` in class `Button`
    Returns:
      Current styleName value. Default value is "normal"
    See Also:
      - `CSSStyleName`

  - ### setValign

    public Label setValign(VerticalAlignment valign)
    Vertical alignment of label text. See VerticalAlignment type for details.
    Overrides:
      `setValign` in class `Button`
    Parameters:
      `valign` - New valign value. Default value is Canvas.CENTER
    Returns:
      `Label` instance, for chaining setter calls
    See Also:
      - `Positioning overview and related methods`

  - ### getValign

    public VerticalAlignment getValign()
    Vertical alignment of label text. See VerticalAlignment type for details.
    Overrides:
      `getValign` in class `Button`
    Returns:
      Current valign value. Default value is Canvas.CENTER
    See Also:
      - `Positioning overview and related methods`

  - ### setWidth

    public Label setWidth(Integer width)
    Size for this component's horizontal dimension. See `Canvas.width` for more details.

    Note that if `StatefulCanvas.autoFit` is set, this property will be ignored so that the widget is always sized just large enough to accommodate the title.

    Overrides:
      `setWidth` in class `Button`
    Parameters:
      `width` - New width value. Default value is null
    Returns:
      `Label` instance, for chaining setter calls
    See Also:
      - `StatefulCanvas.setAutoFit(java.lang.Boolean)`
      - `Sizing overview and related methods`

  - ### getWidth

    public Integer getWidth()
    Size for this component's horizontal dimension. See `Canvas.width` for more details.

    Note that if `StatefulCanvas.autoFit` is set, this property will be ignored so that the widget is always sized just large enough to accommodate the title.

    Overrides:
      `getWidth` in class `Button`
    Returns:
      Current width value. Default value is null
    See Also:
      - `StatefulCanvas.getAutoFit()`
      - `Sizing overview and related methods`

  - ### setWidth

    public void setWidth(String width)
    Size for this component's horizontal dimension. See `Canvas.width` for more details.

    Note that if `StatefulCanvas.autoFit` is set, this property will be ignored so that the widget is always sized just large enough to accommodate the title.

    Overrides:
      `setWidth` in class `Button`
    Parameters:
      `width` - New width value. Default value is null
    See Also:
      - `StatefulCanvas.setAutoFit(java.lang.Boolean)`
      - `Sizing overview and related methods`

  - ### getWidthAsString

    public String getWidthAsString()
    Size for this component's horizontal dimension. See `Canvas.width` for more details.

    Note that if `StatefulCanvas.autoFit` is set, this property will be ignored so that the widget is always sized just large enough to accommodate the title.

    Overrides:
      `getWidthAsString` in class `Button`
    Returns:
      Current width value. Default value is null
    See Also:
      - `StatefulCanvas.getAutoFit()`
      - `Sizing overview and related methods`

  - ### setWrap

    public Label setWrap(Boolean wrap)
    If false, the label text will not be wrapped to the next line.
    Overrides:
      `setWrap` in class `Button`
    Parameters:
      `wrap` - New wrap value. Default value is true
    Returns:
      `Label` instance, for chaining setter calls
    See Also:
      - `Sizing overview and related methods`

  - ### getWrap

    public Boolean getWrap()
    If false, the label text will not be wrapped to the next line.
    Overrides:
      `getWrap` in class `Button`
    Returns:
      Current wrap value. Default value is true
    See Also:
      - `Sizing overview and related methods`

  - ### setDefaultProperties

    public static void setDefaultProperties(Label labelProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `labelProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(LabelLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `Button`